Hotel Availability

Updates Hotel Availability

post
/ari/avail

The Availability message (OTA_HotelAvailNotifRQ) defines whether a product (room type combined with rate plan) for a given itinerary can be sold for the applicable dates. When you send an Availability message, you indicate whether the availability or restrictions for a product has changed. The Availability message lets you define restrictions which control the overall availability of a booking. One notable type of restriction is "nightly availability": whether the product can be sold on a particular date. For a stay (from check-in to check-out) to be bookable, there must be nightly availability on all dates, and all other booking and stay restrictions must be met.

Authorizations
AuthorizationstringRequired
Body

The OTA_AvailNotifRQ is the message that sends the notification of the availability status of a hotel.

EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
TimeStampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
Responses
chevron-right
200

Success Response

Indicates that the request message was processed successfully or not. Either 'Success' or 'Errors' is present in each message.

Timestampstring · date-timeRequired

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

VersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
EchoTokenstring · min: 1 · max: 100Required

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
SuccessobjectOptional

Indicates that the request message was processed successfully

post
/ari/avail

Get Hotel Availability

get
/ari/avail/{hotelCode}/{rpc}/{itc}
Authorizations
AuthorizationstringRequired
Path parameters
hotelCodestringRequired
rpcstringRequired
itcstringRequired
Query parameters
datesstring · yyyy-MM-dd[]Required

List of check-in dates

Requester_IDstringOptional
Responses
chevron-right
200

Success

application/json

Get the availability information by hotel code, rate plan code and inventory type code.

EchoTokenstring · min: 1 · max: 100Optional

A unique identifier for this request message. This value is returned in the response message. Allowed characters are a-z, A-Z, 0-9, _ (underscore), and - (dash). The minimum length of this identifier is 1 (inclusive) and maximum length is 100 (inclusive)

Example: 5fe69c95ed70a9869d9f9af7d8400a6673bb9ce9Pattern: ^[a-zA-Z0-9_-]{1,}$
Timestampstring · date-timeOptional

The creation date and time of this message. The date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z Format :YYYY-MM-DDTHH:mm:ss.SSS+|-HH:mm[Z]

ApiVersionstringOptional

Current API Version. Example- '1.0'

Example: 1.0
get
/ari/avail/{hotelCode}/{rpc}/{itc}
200

Success

Last updated